Package org.apache.wiki.ui

## Class Editor

- java.lang.Object
- - org.apache.wiki.ui.Editor

    public class Editor
    extends java.lang.Object

Describes an editor.

Since:
  2.4.12

### Constructor Summary

Constructors
`Editor​(Context wikiContext, java.lang.String editorName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.lang.String` `isSelected()` Convenience method which returns XHTML for an option element.
`java.lang.String` `isSelected​(java.lang.String ifSelected)`
`java.lang.String` `isSelected​(java.lang.String ifSelected, java.lang.String ifNotSelected)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Editor

    public Editor​(Context wikiContext,
                  java.lang.String editorName)

### Method Detail

#### getName

    public java.lang.String getName()

#### isSelected

    public java.lang.String isSelected()

Convenience method which returns XHTML for an option element.

Returns:
  "selected='selected'", if this editor is selected.

#### isSelected

    public java.lang.String isSelected​(java.lang.String ifSelected)

#### isSelected

    public java.lang.String isSelected​(java.lang.String ifSelected,
                                       java.lang.String ifNotSelected)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`